## kernel-patch-powerpc-2.6.7 2.6.7-3ubuntu3

=== config/Makefile ===
%-smp:	%.stub smp.stub common.stub
	cat $^
%:	%.stub nosmp.stub common.stub
	cat $^
