=== debian/changelog ===
kernel-patch-powerpc-2.6.7 (2.6.7-3ubuntu3) warty; urgency=low

  * debian/control: Build against kernel-tree-2.6.7-3ubuntu2.
  * debian/common.stub: Revert bootsplash for now due to d-i breakage.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 11 Aug 2004 15:47:36 +0100

kernel-patch-powerpc-2.6.7 (2.6.7-3ubuntu2) warty; urgency=low

  * debian/control: now builds against kernel-tree-2.6.7-3ubuntu1
  * debian/common.stub: added bootsplash option built in

 -- Nathaniel McCallum <npmccallum@gentoo.org>  Mon,  2 Aug 2004 16:21:11 -0400

kernel-patch-powerpc-2.6.7 (2.6.7-3ubuntu1) warty; urgency=low

  * Fix Dependencies so that buildds can build the package too.

 -- LaMont Jones <lamont@mmjgroup.com>  Thu, 22 Jul 2004 01:11:17 +0100

kernel-patch-powerpc-2.6.7 (2.6.7-3) unstable; urgency=high

  * Upgraded the pegasos.diff patch to the one submitted upstream (Sven
    Luther).

  * Built the console drivers for 8250/16550 and PowerMac Zilog serial
    ports into the kernel (closes: Bug#256798).  In order to keep the
    overall size constant, framebuffer drivers for Matrox and Voodoo cards
    are now built as modules (Jens Schmalzing).

  * Modified the autobuilder hack in debian/rules to actually build the
    architecture-independent package kernel-patch-powerpc on other archs
    (closes: Bug#257752) (Jens Schmalzing).

  * Added necessary files for mkvmlinuz PReP support, needs mkvmlinuz >= 7
    (Sven Luther).

 -- Jens Schmalzing <jensen@debian.org>  Fri,  9 Jul 2004 17:00:11 +0200

kernel-patch-powerpc-2.6.7 (2.6.7-2) unstable; urgency=low

  * Removed the Amiga SmartFilesystem (asfs) patch that has now been
    integrated into kernel-source.

  * Added a new and improved version of the UHCI host controller patch.
  
  * Split a small VIA IDE driver hack from the rest of the Pegasos patch.

  * Really enabled the OProfile profiling driver.
  
  * Converted from kernel-source to kernel-tree.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 24 Jun 2004 12:42:38 +0200

kernel-patch-powerpc-2.6.7 (2.6.7-1) unstable; urgency=low

  * New upstream release (closes: Bug#252230).

  * Added a patch to stop the UHCI host controller driver from freezing G4
    systems (closes: Bug#255086).

  * Removed two patches that are now included upstream.

  * Added a recommendation of hotplug to the kernel-image packages, to
    ease the transition for people upgrading from the old monolithic
    kernels.
  
  * Removed the recommendation of mkvmlinuz, since it is perfectly
    reasonable to go without this helper on most systems.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 19 Jun 2004 22:16:13 +0200

kernel-patch-powerpc-2.6.6 (2.6.6-6) unstable; urgency=low

  * Upgraded the Amiga SmartFilesystem (asfs) patch to 1.0beta6 (closes:
    Bug#252628).

  * Added a patch from the 2.5 BenH tree to enable the OProfile profiling
    system (closes: Bug#251708).

 -- Jens Schmalzing <jensen@debian.org>  Sun,  6 Jun 2004 16:15:18 +0200

kernel-patch-powerpc-2.6.6 (2.6.6-5) unstable; urgency=low

  * Worked around an annoying bug in the autobuilders, who are stupid
    enough to try to build this package on non-powerpc archs and choke in
    the attempt.

  * Removed the patch adding monitor mode to the Airport card driver.  It
    is outdated, unstable, and was only intended as a placeholder from the
    very beginning.

  * Added a patch to improve support for the Radeon Mobility 9200 graphics
    card built into some G4 iBooks (closes: Bug#251163).

  * Added remarks about the machines supported by each kernel-image
    package to the descriptions in debian/control (closes: Bug#251062).

 -- Jens Schmalzing <jensen@debian.org>  Fri, 28 May 2004 18:20:48 +0200

kernel-patch-powerpc-2.6.6 (2.6.6-4) unstable; urgency=low

  * Added a patch to fix the 8250 serial driver so it doesn't hang the
    PowerMac G5 any more.  This makes the g5 flavours obsolete, power4
    should be used instead.

 -- Jens Schmalzing <jensen@debian.org>  Sun, 23 May 2004 19:47:29 +0200

kernel-patch-powerpc-2.6.6 (2.6.6-3) unstable; urgency=low

  * Made the kernel-build packages dependent on the kernel-headers
    package, since they are completely useless without it.

  * Built rivafb as a module (closes: Bug#248134).  Apparently, the nv
    driver from XFree86 works just as well on offb.

  * Added dummy packages for keeping track of one flavour of the
    kernel-image packages across releases.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 22 May 2004 14:05:26 +0200

kernel-patch-powerpc-2.6.6 (2.6.6-2) unstable; urgency=high

  * Added a missing symbol export to arch/ppc/kernel/ppc_ksyms.c, which
    broke a couple of filesystem drivers, including ext3.  Hence the
    urgency.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 13 May 2004 15:57:31 +0200

kernel-patch-powerpc-2.6.6 (2.6.6-1) unstable; urgency=low

  * New upstream release.

 -- Jens Schmalzing <jensen@debian.org>  Wed, 12 May 2004 16:44:57 +0200

kernel-patch-powerpc-2.6.5 (2.6.5-2) unstable; urgency=low

  * Added missing build-time dependencies (closes: Bug#247288).

 -- Jens Schmalzing <jensen@debian.org>  Thu,  6 May 2004 07:56:13 +0200

kernel-patch-powerpc-2.6.5 (2.6.5-1) unstable; urgency=low

  * Nothing like a fresh start from scratch.

 -- Jens Schmalzing <jensen@debian.org>  Thu,  8 Apr 2004 19:36:20 +0200
