=== debian/control ===
Source: kernel-patch-powerpc-2.6.7
Section: devel
Priority: optional
Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.6.7-3ubuntu2, m4
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Jens Schmalzing <jensen@debian.org>
Standards-Version: 3.6.1

Package: kernel-patch-powerpc-2.6.7
Architecture: all
Suggests: kernel-source-2.6.7
Description: improved PowerPC support for the Linux kernel
 .
 This package collects a number of patches that improve the Linux
 kernel's support for the PowerPC architecture in general.  It is
 mainly used to build the official Debian kernel packages, but you
 can also use it as a starting point for custom-built kernels.

Package: kernel-headers-2.6.7
Architecture: powerpc
Description: header files for the Linux kernel version 2.6.7
 .
 This package provides kernel headers files for 2.6.7.

Package: kernel-image-power3
Section: base
Architecture: powerpc
Depends: kernel-image-2.6.7-power3
Description: Linux kernel image for power3
 .
 This is a dummy package that will always depend on the latest release
 of the kernel-image package for power3.

Package: kernel-build-2.6.7-power3
Architecture: powerpc
Depends: kernel-headers-2.6.7
Description: build infrastructure for kernel version 2.6.7-power3
 .
 Together with kernel-headers-2.6.7, this package provides the
 infrastructure for building additional modules for 2.6.7-power3.

Package: kernel-image-2.6.7-power3
Section: base
Architecture: powerpc
Depends: initrd-tools (>= 0.1.65), module-init-tools
Conflicts: mkvmlinuz (<= 6)
Recommends: hotplug
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for 2.6.7-power3
 .
 This package contains the Linux kernel for version 2.6.7-power3.
 It is intended to be run on PowerPC machines with a single Power3
 processor.

Package: kernel-image-power3-smp
Section: base
Architecture: powerpc
Depends: kernel-image-2.6.7-power3-smp
Description: Linux kernel image for power3-smp
 .
 This is a dummy package that will always depend on the latest release
 of the kernel-image package for power3-smp.

Package: kernel-build-2.6.7-power3-smp
Architecture: powerpc
Depends: kernel-headers-2.6.7
Description: build infrastructure for kernel version 2.6.7-power3-smp
 .
 Together with kernel-headers-2.6.7, this package provides the
 infrastructure for building additional modules for 2.6.7-power3-smp.

Package: kernel-image-2.6.7-power3-smp
Section: base
Architecture: powerpc
Depends: initrd-tools (>= 0.1.65), module-init-tools
Conflicts: mkvmlinuz (<= 6)
Recommends: hotplug
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for 2.6.7-power3-smp
 .
 This package contains the Linux kernel for version 2.6.7-power3-smp.
 It is intended to be run on PowerPC machines with two or more
 Power3 processors, like some IBM RS/6000 boxen.

Package: kernel-image-power4
Section: base
Architecture: powerpc
Depends: kernel-image-2.6.7-power4
Description: Linux kernel image for power4
 .
 This is a dummy package that will always depend on the latest release
 of the kernel-image package for power4.

Package: kernel-build-2.6.7-power4
Architecture: powerpc
Depends: kernel-headers-2.6.7
Description: build infrastructure for kernel version 2.6.7-power4
 .
 Together with kernel-headers-2.6.7, this package provides the
 infrastructure for building additional modules for 2.6.7-power4.

Package: kernel-image-2.6.7-power4
Section: base
Architecture: powerpc
Depends: initrd-tools (>= 0.1.65), module-init-tools
Conflicts: mkvmlinuz (<= 6)
Recommends: hotplug
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for 2.6.7-power4
 .
 This package contains the Linux kernel for version 2.6.7-power4.
 It is intended to be run on PowerPC machines with a single Power4
 processor, the most prominent example being the G5 PowerMac by Apple.

Package: kernel-image-power4-smp
Section: base
Architecture: powerpc
Depends: kernel-image-2.6.7-power4-smp
Description: Linux kernel image for power4-smp
 .
 This is a dummy package that will always depend on the latest release
 of the kernel-image package for power4-smp.

Package: kernel-build-2.6.7-power4-smp
Architecture: powerpc
Depends: kernel-headers-2.6.7
Description: build infrastructure for kernel version 2.6.7-power4-smp
 .
 Together with kernel-headers-2.6.7, this package provides the
 infrastructure for building additional modules for 2.6.7-power4-smp.

Package: kernel-image-2.6.7-power4-smp
Section: base
Architecture: powerpc
Depends: initrd-tools (>= 0.1.65), module-init-tools
Conflicts: mkvmlinuz (<= 6)
Recommends: hotplug
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for 2.6.7-power4-smp
 .
 This package contains the Linux kernel for version 2.6.7-power4-smp.
 It is intended to be run on PowerPC machines with two or more Power4
 processors.  This setup can be found in Apple's dual G5 PowerMacs, as
 well as in a number of IBM RS/6000 boxen, such as the iSeries and
 pSeries machines.

Package: kernel-image-powerpc
Section: base
Architecture: powerpc
Depends: kernel-image-2.6.7-powerpc
Description: Linux kernel image for powerpc
 .
 This is a dummy package that will always depend on the latest release
 of the kernel-image package for powerpc.

Package: kernel-build-2.6.7-powerpc
Architecture: powerpc
Depends: kernel-headers-2.6.7
Description: build infrastructure for kernel version 2.6.7-powerpc
 .
 Together with kernel-headers-2.6.7, this package provides the
 infrastructure for building additional modules for 2.6.7-powerpc.

Package: kernel-image-2.6.7-powerpc
Section: base
Architecture: powerpc
Depends: initrd-tools (>= 0.1.65), module-init-tools
Conflicts: mkvmlinuz (<= 6)
Recommends: hotplug
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for 2.6.7-powerpc
 .
 This package contains the Linux kernel for version 2.6.7-powerpc.
 It is intended to be run on single-processor PowerPC machines,
 including all G3 and G4 models by Apple, as well as older PowerMacs.

Package: kernel-image-powerpc-smp
Section: base
Architecture: powerpc
Depends: kernel-image-2.6.7-powerpc-smp
Description: Linux kernel image for powerpc-smp
 .
 This is a dummy package that will always depend on the latest release
 of the kernel-image package for powerpc-smp.

Package: kernel-build-2.6.7-powerpc-smp
Architecture: powerpc
Depends: kernel-headers-2.6.7
Description: build infrastructure for kernel version 2.6.7-powerpc-smp
 .
 Together with kernel-headers-2.6.7, this package provides the
 infrastructure for building additional modules for 2.6.7-powerpc-smp.

Package: kernel-image-2.6.7-powerpc-smp
Section: base
Architecture: powerpc
Depends: initrd-tools (>= 0.1.65), module-init-tools
Conflicts: mkvmlinuz (<= 6)
Recommends: hotplug
Provides: kernel-image, kernel-image-2.6
Description: Linux kernel image for 2.6.7-powerpc-smp
 .
 This package contains the Linux kernel for version 2.6.7-powerpc-smp.
 It is intended to be run on most dual-processor PowerPC machines,
 most notably the Dual G4 PowerMacs by Apple.
